# RPCParameters Struct Reference

`#include <RakNetTypes.h>`

List of all members.

## Public Attributes

unsigned char * | input
| The data from the remote system.
BitSize_t | numberOfBitsOfData
| How many bits long input is.
SystemAddress | sender
| Which system called this RPC.
RakPeerInterface * | recipient
| Which instance of RakPeer (or a derived RakPeer or RakPeer) got this call.
char * | functionName
| The name of the function that was called.
RakNet::BitStream * | replyToSender

## Detailed Description

All RPC functions have the same parameter list - this structure. Use the AutoRPC or RPC3 plugin instead

## Member Data Documentation

RakNet::BitStream* RPCParameters::replyToSender

You can return values from RPC calls by writing them to this BitStream. This is only sent back if the RPC call originally passed a BitStream to receive the reply. If you do so and your send is reliable, it will block until you get a reply or you get disconnected from the system you are sending to, whichever is first. If your send is not reliable, it will block for triple the ping time, or until you are disconnected, or you get a reply, whichever is first.

The documentation for this struct was generated from the following file:

- C:/RakNet/Source/RakNetTypes.h